Subject: Re: [RFC PATCH net-next 00/12] drop_monitor: Capture dropped packets and metadata

From: Ido Schimmel <[email-masked]>
Date: Wed, 24 Jul 2019 11:10:42 +0300

On Tue, Jul 23, 2019 at 06:08:21PM +0200, Toke Høiland-Jørgensen wrote:
> Also, presumably the queue will have to change from a struct
> sk_buff_head to something that can hold XDP frames and whatever devlink
> puts there as well, right?

Good point!

For HW drops we get an SKB and relevant metadata from devlink about why
the packet was dropped etc. I plan to store a pointer to this metadata
in the SKB control block.

Let me see how the implementation goes. Even if use sk_buff_head for
now, I will make sure that converting to a more generalized data
structure is straightforward.